<?
$code_video = htmlspecialchars($_GET['code']);

if (is_file($_SERVER['DOCUMENT_ROOT'].'/sys/cache/youtube/video-' . $code_video . '.dat')){
    $array = unserialize(file_get_contents($_SERVER['DOCUMENT_ROOT'].'/sys/cache/youtube/video-' . $code_video . '.dat'));
} else {
    $file = file_get_contents('http://gdata.youtube.com/feeds/api/videos/' . $code_video);
    $name = preg_replace("#(<)(.*)(<title type='text'>)#isU", "", $file); 
    $name = preg_replace('#(</title>)(.*)(</entry>)#isU', '', $name); 
    $name = htmlspecialchars($name);

    if ($name) {
    	$array['name'] = $name;
    } else {
        $array['name'] = 'Перейти к видео';
    }
}
        
if (isset($_GET['code']))
{
    ?>
    <div class="player-background">
    <div id="modal-table">
	<div id="modal-row">
	<div id="modal-cell">	
     <div class="player-video-back">
      <iframe class="player-video" src="//www.youtube.com/embed/<?= $code_video?>?feature=player_detailpage" frameborder="0" allowfullscreen></iframe>
      	<div class="modal-foot-menu">
        <center><a href="http://www.youtube.com/watch?v=<?= $code_video?>"><div class="modal-nick"><?= $array['name']?></div></a></center>
	    </div>
     </div>
    </div>
    </div>
    </div>
    </div>
     
    <?
}
?>
<a href="#youtube-<?= $code_video?>" onclick="closeModal();"><div class="modal-buttons" id="modal-right" style="position: absolute; top: 10px;">Закрыть</div></a>

<script>
// Вычисляем размер экрана
var widthScreen = screen.width, heightScreen = screen.height;

// Вычисляем размер окна браузера
var widthBrowser = $(window).width(), heightBrowser = $(window).height();

// Cразу меняем размер окна слайдера
$('body').css({'overflow' : 'hidden', 'position' : 'fixed'});

//alert(widthBrowser + 'x' + heightScreen);

$('.player-video').css({'max-width' : widthBrowser, 'max-height' : heightBrowser});
$('.player-background').css({'width' : widthBrowser, 'height' : heightBrowser});

// Проверяем на изменение размера
function playerYoutube() 
{
	// Вычисляем размер окна браузера
	var widthBrowser = $(window).width(), heightBrowser = $(window).height();
	
	if (widthBrowser > 600){
		$('.modal-nav').css({'display' : 'inline-block'});
	}

	// Cразу меняем размер окна слайдера и содержимого
	$('.player-video').css({'max-width' : '600px', 'width' : widthBrowser, 'height' : heightBrowser / 1.7});
	$('.player-background').css({'width' : widthBrowser, 'height' : heightBrowser});
    $('.modal-foot-menu').css({'width' : widthBrowser, 'height' : heightBrowser / 6});
}

$(document).ready(function()
{  
	playerYoutube();  
	setInterval('playerYoutube()', 500);  
});  
</script>